config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm -rvf $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/rc.d/rc.modules-6.12.30-v7-sarpi3.new

# A good idea whenever kernel modules are added or changed:
if [ -x sbin/depmod ]; then
  chroot . /sbin/depmod -a 6.12.30-v7-sarpi3 1> /dev/null 2> /dev/null
fi
( cd lib/modules/6.12.30-v7-sarpi3 ; rm -rf build )
( cd lib/modules/6.12.30-v7-sarpi3 ; ln -sf /usr/src/linux build )
